Bug 973049 - BRMS contains the same Designer as BPMS
BRMS contains the same Designer as BPMS
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ER4
: 6.0.0
Assigned To: Julian Coleman
Sona Mala
: TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-11 03:21 EDT by Sona Mala
Modified: 2014-08-06 16:19 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:19:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sona Mala 2013-06-11 03:21:47 EDT
Description of problem:
If you open BPMN2 asset in BRMS and in BPMS, BRMS contains the same designer as BPMS instead of a lighter version of the designer.


Version-Release number of selected component (if applicable):
6.0.0 DR5 (Beta3)


Actual results:
Same profiles in BRMS / BPMS designer's shape ropository. In both products: Full profile is able to switch to Minimal profile (there is alert: "Unable to create extension definition"), but Minimal profile is not able to switch to Full profile. Full profile and Minimal profile contains the same sets of BPMN2 components.

Expected results:
Different default profiles in BRMS / BPMS designer. BRMS default profile is not able to switch to BPMS default profile. BRMS default profile contains a subset of BPMS components.


Additional info:
I am not sure if current Full profile corresponds with BPMS default profile and current Minimal profile corresponds with BRMS default profile.
Comment 1 Ryan Zhang 2013-06-14 03:06:42 EDT
Kris, could this be resolved in kie-wb-distribution?
Comment 2 Kris Verlaenen 2013-09-16 13:45:24 EDT
Tiho, could you at least make sure the RuleFlow profile works as expected?  I consider this part a beta blocker.

I consider making sure that the RuleFlow profile is enabled by default for BRMS a blocker (but not a beta blocker).

Should we also prevent people from being able to switch the profile to minimal / full in case of BRMS?  In the past, we've always given users the possibility to do so, but detailed that only the RuleFlow profile would be supported for BRMS.
Comment 3 Prakash Aradhya 2013-09-16 21:37:04 EDT
Yes, this is must fix for Beta
Comment 4 Tihomir Surdilovic 2013-09-18 12:14:35 EDT
Fixed in designer master and 6.0.x branches.
You can control what perspective is shown with system properties now, for example:

./standalone.sh -Dorg.jbpm.designer.perspective=simple

where values can be 
simple
ruleflow
full

note that if an user has already a designer perspective cookie which contains the value of the last user perspective, that cookie value will overwrite any default settings, so a cookie clear might be needed when you test.
Comment 5 Lukáš Petrovický 2013-09-18 16:24:59 EDT
Ryan, would you please make sure that BRMS configures this property to "ruleflow" and BPMS configures "full"?

Please keep in mind that we need this config to take place in both standalone and domain configs of EAP.
Comment 6 Ryan Zhang 2013-09-19 04:53:37 EDT
Ok, Thanks Lukas for informing. 
I will add the properties "org.jbpm.designer.perspective=simple" to the EAP configuration file instead of change the standalone.sh or standalone.sh commandline.
Comment 7 Ryan Zhang 2013-09-19 12:51:09 EDT
Fixed.
Now BRMS goes to "ruleflow"
BPMS goes to "full". 
Both standalone and domain config files are all updates.
Comment 11 Sona Mala 2013-10-15 08:04:34 EDT
Verified for ER4.

As Tiho says in #4: Designer's perspective depends on a value of "designerperspective" cookie. This value is valid for all users which use same browser. Designer set this cookie when an user switch the perspective in Designer.

If the cookie is not set (or is deleted) then designer uses system property "org.jbpm.designer.perspective=ruleflow" for BRMS and "org.jbpm.designer.perspective=full" for BPMS and Designer shows right perspective.

Note You need to log in before you can comment on or make changes to this bug.